<?php
    // В этом файле определены системные правила для редиректа и подмены адресов
    //
    //      source          : регулярное выражение, для сравнения с текущим URI
    //      target          : URI для перенаправления, при совпадении source
    //      action          : действие при совпадении source
    //
    // Возможные значения для action:
    //
    //      rewrite         : подменить URI перед определением компонента
    //      redirect        : редирект на target с кодом 303 See Other
    //      redirect-301    : редирект на target с кодом 301 Moved Permanently
    //      alias           : заинклудить файл target и остановить скрипт, поддерживаются параметры через file.php?param=value
    //

    function custom_rewrite_rules(){

//Если нужный компонент выводится на главной странице, в данном случае users
//        $rules[] = array(
//                            'source'  => '/^users$/ui',
//                            'target'  => '/',
//                            'action'  => 'redirect-301'
//                         );

        $rules[] = array(
                            'source'  => '/^users\/(.+)$/ui',
                            'target'  => '/{1}',
                            'action'  => 'redirect-301'
                         );

        return $rules;

    }

?>
